Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
win32ole_typelib.h File Reference

Go to the source code of this file.

## Functions
void | Init_win32ole_typelib (void)
ITypeLib * | itypelib (VALUE self)
VALUE | typelib_file (VALUE ole)
VALUE | create_win32ole_typelib (ITypeLib *pTypeLib)
VALUE | ole_typelib_from_itypeinfo (ITypeInfo *pTypeInfo)

## Variables
VALUE | cWIN32OLE_TYPELIB

## Function Documentation

## ◆ create_win32ole_typelib()

VALUE create_win32ole_typelib | ( | ITypeLib * | pTypeLib | ) |

Definition at line 223 of file win32ole_typelib.c.

References obj.

Referenced by ole_typelib_from_itypeinfo().

## ◆ Init_win32ole_typelib()

void Init_win32ole_typelib | ( | void |  | ) |

Definition at line 826 of file win32ole_typelib.c.

References cWIN32OLE_TYPELIB, rb_cObject, rb_define_class(), and rb_define_singleton_method().

## ◆ itypelib()

ITypeLib* itypelib | ( | VALUE | self | ) |

Definition at line 106 of file win32ole_typelib.c.

References TypedData_Get_Struct.

## ◆ ole_typelib_from_itypeinfo()

VALUE ole_typelib_from_itypeinfo | ( | ITypeInfo * | pTypeInfo | ) |

Definition at line 114 of file win32ole_typelib.c.

References create_win32ole_typelib(), HRESULT(), index, oletypelibdata::pTypeLib, and Qnil.

## ◆ typelib_file()

VALUE typelib_file | ( | VALUE | ole | ) |

Definition at line 781 of file win32ole_typelib.c.

## Variable Documentation

## ◆ cWIN32OLE_TYPELIB

VALUE cWIN32OLE_TYPELIB

Definition at line 4 of file win32ole_typelib.h.

Referenced by Init_win32ole_typelib().